#> @s

### Reset codebuilder
codebuilder navigate @a false https://minecraft.makecode.com/hoc2020?ingame=1&ipc=1&norunonx=1#tutorial:/hour-of-code/2020/no-code

### Settings
gamerule sendcommandfeedback false
gamerule commandblockoutput false
gamerule commandblocksenabled true
gamerule dodaylightcycle false
gamerule doentitydrops false
gamerule dofiretick false
gamerule doimmediaterespawn false
gamerule doinsomnia false
gamerule domobloot false
gamerule domobspawning false
gamerule dotiledrops false
gamerule doweathercycle false
gamerule drowningdamage false
gamerule falldamage false
gamerule firedamage false
gamerule functioncommandlimit 10000
gamerule keepinventory true
gamerule maxcommandchainlength 65536
gamerule mobgriefing false
gamerule naturalregeneration true
gamerule pvp false
gamerule randomtickspeed 0
gamerule showcoordinates false
gamerule showdeathmessages true
gamerule showtags true
gamerule spawnradius 0
gamerule tntexplodes false
difficulty easy

### Tickingareas
tickingarea add 0 0 0 133 0 138 world
tickingarea add 189 0 -17 216 0 184 assets

### Entities
# Delete entities
execute @a ~ ~ ~ kill @c
tag @e[type=rwm:utility,tag=!bigcol] add despawn
tag @e[type=rwm:npc_2,tag=!balloon] add despawn
tag @e[type=minecraft:ravager] add despawn
tag @e[type=minecraft:fox] add despawn
kill @e[type=minecart]
kill @e[type=item]

# Move balloon
tag @e[tag=balloon] remove light
tp @e[tag=balloon] 58 2 71
tp @e[type=minecraft:balloon] 58 5 71

### Reset world
# Clone tree
clone 189 1 -17 216 31 10 55 76 56

# Fox hole
fill 77 75 21 81 76 21 barrier
setblock 82 75 20 barrier
fill 76 75 20 76 76 20 barrier

## Reset quests
# Act 2
# moved to function i_dock (see last line of i)

# Act 4
clone 0 1 3 6 7 9 75 71 30

# Act 5
fill 36 76 47 27 76 46 dirt
fill 36 76 45 27 76 44 log2 1
fill 36 76 43 27 76 42 dirt
fill 36 77 47 27 79 42 air

# Act 6
fill 23 77 85 22 77 84 stone_slab 8
fill 23 78 85 22 85 84 air
fill 21 79 82 24 84 82 air 0 replace redstone_block 0
fill 21 79 84 24 84 84 lever 3 replace lever -1
fill 21 79 83 24 84 83 redstone_lamp 0 replace lit_redstone_lamp -1

# Act 7
clone 23 1 24 0 7 24 51 72 115
setblock 49 78 115 air

## Summon entities
# Summon core entity
summon rwm:utility 0 2 0
tag @e[type=rwm:utility,tag=!bigcol] add game
tag @e[tag=game] add scale

# Fence foxes & ravager
summon minecraft:fox 78 75 19
summon minecraft:fox 80 75 18
summon minecraft:ravager 68 73 28
tag @e[type=minecraft:ravager,tag=!setup] add fence_ravager
tag @e[type=minecraft:ravager,tag=!setup] add setup
execute @s 78 72 43 summon rwm:utility ~ ~ ~
execute @s 78 72 43 event entity @e[type=rwm:utility,c=1] target2_add


# Intro Book
summon rwm:npc_2 69 77.7 70 book
tag @e[type=!player,x=69,y=77,z=70,dx=0,dy=0,dz=0] add intro_book
tag @e[tag=intro_book] add quest
tag @e[tag=intro_book] add show
dialogue change @e[tag=intro_book,tag=!setup] intro_book0
tag @e[tag=intro_book] add setup

summon rwm:npc_2 69 2 70 book
tag @e[type=!player,x=69,y=2,z=70,dx=0,dy=0,dz=0] add intro_book2
tag @e[tag=intro_book2] add setup

# Caretaker
summon rwm:npc_2 72 2 67 adult_v6
tag @e[type=rwm:npc_2,tag=!setup] add quest_tutorial2
tag @e[type=rwm:npc_2,tag=!setup] add setup

# Fishing
summon rwm:npc_2 97 73 106 adult_v2
tag @e[type=rwm:npc_2,tag=!setup] add quest
tag @e[type=rwm:npc_2,tag=!setup] add quest_fish
dialogue change @e[type=rwm:npc_2,tag=!setup] quest_fish_offer
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 97 2 106 adult_v2
tag @e[type=rwm:npc_2,tag=!setup] add quest_fish2
tag @e[type=rwm:npc_2,tag=!setup] add setup

# Ravager
summon rwm:npc_2 97 73 66 adult_v9
tag @e[type=rwm:npc_2,tag=!setup] add quest
tag @e[type=rwm:npc_2,tag=!setup] add quest_ravager
dialogue change @e[type=rwm:npc_2,tag=!setup] quest_ravager_offer
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 97 2 66 adult_v9
tag @e[type=rwm:npc_2,tag=!setup] add quest_ravager2
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 96 73 80 adult_v5
tag @e[type=rwm:npc_2,tag=!setup] add ravager_target
execute @e[type=rwm:npc_2,tag=!setup] ~ ~ ~ function ambient/flavour_text
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 109 73 79 adult_v7
tag @e[type=rwm:npc_2,tag=!setup] add ravager_target
execute @e[type=rwm:npc_2,tag=!setup] ~ ~ ~ function ambient/flavour_text
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 108 73 67 adult_v11
tag @e[type=rwm:npc_2,tag=!setup] add ravager_target
execute @e[type=rwm:npc_2,tag=!setup] ~ ~ ~ function ambient/flavour_text
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon minecraft:ravager 91 73 68
tag @e[type=minecraft:ravager,tag=!setup] add ravager
tag @e[type=minecraft:ravager,tag=!setup] add look
tag @e[type=minecraft:ravager,tag=!setup] add setup

# Fox fence
summon rwm:npc_2 78 73 39 adult_v1
tag @e[type=rwm:npc_2,tag=!setup] add quest
tag @e[type=rwm:npc_2,tag=!setup] add quest_fence
dialogue change @e[type=rwm:npc_2,tag=!setup] quest_fence_offer
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 78 2 39 adult_v1
tag @e[type=rwm:npc_2,tag=!setup] add quest_fence2
tag @e[type=rwm:npc_2,tag=!setup] add setup

# Farming
summon rwm:npc_2 42 77 48 adult_i2
tag @e[type=rwm:npc_2,tag=!setup] add quest
tag @e[type=rwm:npc_2,tag=!setup] add quest_farming
dialogue change @e[type=rwm:npc_2,tag=!setup] quest_farming_offer
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 42 2 48 adult_i2
tag @e[type=rwm:npc_2,tag=!setup] add quest_farming2
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 32 77 41 adult_i2
tag @e[type=rwm:npc_2,tag=!setup] add quest_farming_standing
dialogue change @e[type=rwm:npc_2,tag=!setup] quest_farming_standing
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 32 2 41 adult_i2
tag @e[type=rwm:npc_2,tag=!setup] add quest_farming2_standing
tag @e[type=rwm:npc_2,tag=!setup] add setup


# Ball
summon rwm:npc_2 32 78 95 child_i1
tag @e[type=rwm:npc_2,tag=!setup] add quest
tag @e[type=rwm:npc_2,tag=!setup] add quest_ball
dialogue change @e[type=rwm:npc_2,tag=!setup] quest_ball_offer
tag @e[type=rwm:npc_2,tag=!setup] add ball_npc
tag @e[type=rwm:npc_2,tag=!setup] add catch
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 32 2 95 child_i1
tag @e[type=rwm:npc_2,tag=!setup] add quest_ball2
tag @e[type=rwm:npc_2,tag=!setup] add ball_npc
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 30 78 94 child_i0
tag @e[type=rwm:npc_2,tag=!setup] add ball_npc
tag @e[type=rwm:npc_2,tag=!setup] add catch
execute @e[type=rwm:npc_2,tag=!setup] ~ ~ ~ function ambient/flavour_text
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 31 78 97 child_i2
tag @e[type=rwm:npc_2,tag=!setup] add ball_npc
tag @e[type=rwm:npc_2,tag=!setup] add catch
execute @e[type=rwm:npc_2,tag=!setup] ~ ~ ~ function ambient/flavour_text
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 23.0 86 82 adult_w
tag @e[type=rwm:npc_2,tag=!setup] add ball
tag @e[type=rwm:npc_2,tag=!setup] add ball_npc
tag @e[type=rwm:npc_2,tag=!setup] add catch
tag @e[type=rwm:npc_2,tag=!setup] add witch
execute @e[type=rwm:npc_2,tag=!setup] ~ ~ ~ function ambient/flavour_text
tag @e[type=rwm:npc_2,tag=!setup] add setup

# Minecart
summon rwm:npc_2 47 78 115 adult_i0
tag @e[type=rwm:npc_2,tag=!setup] add quest
tag @e[type=rwm:npc_2,tag=!setup] add quest_minecart
dialogue change @e[type=rwm:npc_2,tag=!setup] quest_minecart_offer
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 47 2 115 adult_i0
tag @e[type=rwm:npc_2,tag=!setup] add quest_minecart2
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 78 73 114 child_v0
execute @e[type=rwm:npc_2,tag=!setup] ~ ~ ~ function ambient/flavour_text
tag @e[type=rwm:npc_2,tag=!setup] add minecart_rider
tag @e[type=rwm:npc_2,tag=!setup] add setup

# Random stroll npcs
summon rwm:npc_2 43 78 117 adult_i0
tag @e[type=rwm:npc_2,tag=!setup] add flavour
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 36 78 100 adult_i2
tag @e[type=rwm:npc_2,tag=!setup] add flavour
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 45 78 86 adult_i1
tag @e[type=rwm:npc_2,tag=!setup] add flavour
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 44 77 61 adult_i2
tag @e[type=rwm:npc_2,tag=!setup] add flavour
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 72 73 36 adult_v11
tag @e[type=rwm:npc_2,tag=!setup] add flavour
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 92 73 49 adult_v12
tag @e[type=rwm:npc_2,tag=!setup] add flavour
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 103 73 91 adult_v13
tag @e[type=rwm:npc_2,tag=!setup] add flavour
tag @e[type=rwm:npc_2,tag=!setup] add setup

summon rwm:npc_2 104 73 100 adult_v14
tag @e[type=rwm:npc_2,tag=!setup] add flavour
tag @e[type=rwm:npc_2,tag=!setup] add setup

tag @e[type=rwm:npc_2,tag=flavour] add stroll
execute @e[type=rwm:npc_2,tag=flavour] ~ ~ ~ function ambient/flavour_text

### Scoreboards
# Reset scoreboards
scoreboard objectives remove text
scoreboard objectives remove region
scoreboard objectives remove tree_cooldown
scoreboard objectives remove tree_delta
scoreboard objectives remove tree
scoreboard objectives remove quest_count
scoreboard objectives remove count
scoreboard objectives remove language
scoreboard objectives remove act
scoreboard objectives remove goal
scoreboard objectives remove phase
scoreboard objectives remove tick
scoreboard objectives remove ball
scoreboard objectives remove test_url

scoreboard objectives add text dummy
scoreboard objectives add region dummy
scoreboard objectives add tree_cooldown dummy
scoreboard objectives add tree_delta dummy
scoreboard objectives add tree dummy
scoreboard objectives add quest_count dummy
scoreboard objectives add count dummy
scoreboard objectives add language dummy
scoreboard objectives add act dummy
scoreboard objectives add goal dummy
scoreboard objectives add phase dummy
scoreboard objectives add tick dummy
scoreboard objectives add ball dummy
scoreboard objectives add test_url dummy

# Set initial scores
scoreboard players set @e[tag=game] text -1
scoreboard players set @e[tag=game] tree 0
scoreboard players set @e[tag=game] tree_delta 0
scoreboard players set @e[tag=game] tree_cooldown 0
scoreboard players set @e[tag=game] quest_count 0
scoreboard players set @e[tag=game] language 0
scoreboard players set @e[tag=game] act 0
scoreboard players set @e[tag=game] goal 0
scoreboard players set @e[tag=game] phase 0
scoreboard players set @e[tag=game] tick -1
scoreboard players set @e[tag=game] ball 200
scoreboard players set @e[tag=game] test_url 0

### Reset player
tag @a remove joined
clear @a
effect @a clear
gamemode adventure @a
teleport @a 66 77 73 225 0
scoreboard players reset @a

titleraw @a subtitle {"rawtext":[{"translate":"text.blank"}]}
titleraw @a title {"rawtext":[{"translate":"text.blank"}]}
titleraw @a actionbar {"rawtext":[{"translate":"text.blank"}]}

### reset act 2 (i_dock)
# work around to dock issue
setblock 2 2 0 redstone_block