#> @e[tag=game]

scoreboard players add @s tree 1

titleraw @a times 10 40 10
execute @s[scores={tree=1}] ~ ~ ~ titleraw @a subtitle {"rawtext":[{"translate":"subtitle.tree.stage1"}]}
execute @s[scores={tree=2}] ~ ~ ~ titleraw @a subtitle {"rawtext":[{"translate":"subtitle.tree.stage2"}]}
execute @s[scores={tree=3}] ~ ~ ~ titleraw @a subtitle {"rawtext":[{"translate":"subtitle.tree.stage3"}]}
execute @s[scores={tree=4}] ~ ~ ~ titleraw @a subtitle {"rawtext":[{"translate":"subtitle.tree.stage4"}]}
execute @s[scores={tree=5}] ~ ~ ~ titleraw @a subtitle {"rawtext":[{"translate":"subtitle.tree.stage5"}]}
execute @s[scores={tree=6}] ~ ~ ~ titleraw @a subtitle {"rawtext":[{"translate":"subtitle.tree.stage6"}]}
titleraw @a title {"rawtext":[{"translate":"title.tree.grow"}]}

execute @s[scores={tree=1}] ~ ~ ~ clone 189 1 12 216 31 39 55 76 56 masked normal
execute @s[scores={tree=1}] ~ ~ ~ dialogue change @e[tag=quest_tutorial] guide_tree_1

execute @s[scores={tree=2}] ~ ~ ~ clone 189 1 41 216 31 68 55 76 56 masked normal
execute @s[scores={tree=2}] ~ ~ ~ dialogue change @e[tag=quest_tutorial] guide_tree_2

execute @s[scores={tree=3}] ~ ~ ~ clone 189 1 70 216 31 97 55 76 56 masked normal
execute @s[scores={tree=3}] ~ ~ ~ dialogue change @e[tag=quest_tutorial] guide_tree_3

execute @s[scores={tree=4}] ~ ~ ~ clone 189 1 99 216 31 126 55 76 56 masked normal
execute @s[scores={tree=4}] ~ ~ ~ dialogue change @e[tag=quest_tutorial] guide_tree_4

execute @s[scores={tree=5}] ~ ~ ~ clone 189 1 128 216 31 155 55 76 56 masked normal
execute @s[scores={tree=5}] ~ ~ ~ dialogue change @e[tag=quest_tutorial] guide_tree_5

execute @s[scores={tree=6}] ~ ~ ~ clone 189 1 157 216 31 184 55 76 56 masked normal
execute @s[scores={tree=6}] ~ ~ ~ fill 75 77 76 63 90 64 air 0 replace stonebrick
execute @s[scores={tree=6}] ~ ~ ~ fill 75 77 76 63 90 64 air 0 replace stone
execute @s[scores={tree=6}] ~ ~ ~ fill 75 77 76 63 90 64 air 0 replace stone_brick_stairs
execute @s[scores={tree=6}] ~ ~ ~ tag @e[tag=quest_tutorial] add quest
execute @s[scores={tree=6}] ~ ~ ~ tag @e[tag=quest_tutorial] add show
execute @s[scores={tree=6}] ~ ~ ~ dialogue change @e[tag=quest_tutorial] end_sequence_0

# Spawn tree tenders
execute @s[scores={tree=1}] ~ ~ ~ summon rwm:npc_2 74 77 61 adult_v0
execute @s[scores={tree=1}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add tree_tender_v0
execute @s[scores={tree=1}] ~ ~ ~ dialogue change @e[type=rwm:npc_2,tag=!setup] tree_tender_v0_active
execute @s[scores={tree=1}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add setup
execute @s[scores={tree=1}] ~ ~ ~ summon rwm:npc_2 76 77 62 adult_i0
execute @s[scores={tree=1}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add tree_tender_i0
execute @s[scores={tree=1}] ~ ~ ~ dialogue change @e[type=rwm:npc_2,tag=!setup] tree_tender_i0_active
execute @s[scores={tree=1}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add setup

execute @s[scores={tree=2}] ~ ~ ~ summon rwm:npc_2 61 77 78 adult_v0
execute @s[scores={tree=2}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add tree_tender_v1
execute @s[scores={tree=2}] ~ ~ ~ dialogue change @e[type=rwm:npc_2,tag=!setup] tree_tender_v1_active
execute @s[scores={tree=2}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add setup
execute @s[scores={tree=2}] ~ ~ ~ summon rwm:npc_2 60 77 76 adult_i0
execute @s[scores={tree=2}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add tree_tender_i1
execute @s[scores={tree=2}] ~ ~ ~ dialogue change @e[type=rwm:npc_2,tag=!setup] tree_tender_i1_active
execute @s[scores={tree=2}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add setup

execute @s[scores={tree=3}] ~ ~ ~ summon rwm:npc_2 71 77 81 adult_v0
execute @s[scores={tree=3}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add tree_tender_v2
execute @s[scores={tree=3}] ~ ~ ~ dialogue change @e[type=rwm:npc_2,tag=!setup] tree_tender_v2_active
execute @s[scores={tree=3}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add setup
execute @s[scores={tree=3}] ~ ~ ~ summon rwm:npc_2 69 77 81 adult_i0
execute @s[scores={tree=3}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add tree_tender_i2
execute @s[scores={tree=3}] ~ ~ ~ dialogue change @e[type=rwm:npc_2,tag=!setup] tree_tender_i2_active
execute @s[scores={tree=3}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add setup

execute @s[scores={tree=4}] ~ ~ ~ summon rwm:npc_2 81 77 69 adult_v0
execute @s[scores={tree=4}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add tree_tender_v3
execute @s[scores={tree=4}] ~ ~ ~ dialogue change @e[type=rwm:npc_2,tag=!setup] tree_tender_v3_active
execute @s[scores={tree=4}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add setup
execute @s[scores={tree=4}] ~ ~ ~ summon rwm:npc_2 80 77 71 adult_i0
execute @s[scores={tree=4}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add tree_tender_i3
execute @s[scores={tree=4}] ~ ~ ~ dialogue change @e[type=rwm:npc_2,tag=!setup] tree_tender_i3_active
execute @s[scores={tree=4}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add setup

execute @s[scores={tree=5}] ~ ~ ~ summon rwm:npc_2 66 77 59 adult_v0
execute @s[scores={tree=5}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add tree_tender_v4
execute @s[scores={tree=5}] ~ ~ ~ dialogue change @e[type=rwm:npc_2,tag=!setup] tree_tender_v4_active
execute @s[scores={tree=5}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add setup
execute @s[scores={tree=5}] ~ ~ ~ summon rwm:npc_2 69 77 58 adult_i0
execute @s[scores={tree=5}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add tree_tender_i4
execute @s[scores={tree=5}] ~ ~ ~ dialogue change @e[type=rwm:npc_2,tag=!setup] tree_tender_i4_active
execute @s[scores={tree=5}] ~ ~ ~ tag @e[type=rwm:npc_2,tag=!setup] add setup

# Update tree tender dialouge
execute @s[scores={tree=2}] ~ ~ ~ dialogue change @e[tag=tree_tender_v0] tree_tender_v0_passive
execute @s[scores={tree=2}] ~ ~ ~ dialogue change @e[tag=tree_tender_i0] tree_tender_i0_passive

execute @s[scores={tree=3}] ~ ~ ~ dialogue change @e[tag=tree_tender_v1] tree_tender_v1_passive
execute @s[scores={tree=3}] ~ ~ ~ dialogue change @e[tag=tree_tender_i1] tree_tender_i1_passive

execute @s[scores={tree=4}] ~ ~ ~ dialogue change @e[tag=tree_tender_v2] tree_tender_v2_passive
execute @s[scores={tree=4}] ~ ~ ~ dialogue change @e[tag=tree_tender_i2] tree_tender_i2_passive

execute @s[scores={tree=5}] ~ ~ ~ dialogue change @e[tag=tree_tender_v3] tree_tender_v3_passive
execute @s[scores={tree=5}] ~ ~ ~ dialogue change @e[tag=tree_tender_i3] tree_tender_i3_passive

execute @s[scores={tree=6}] ~ ~ ~ dialogue change @e[tag=tree_tender_v4] tree_tender_v4_passive
execute @s[scores={tree=6}] ~ ~ ~ dialogue change @e[tag=tree_tender_i4] tree_tender_i4_passive

execute @s[scores={tree=6}] ~ ~ ~ dialogue change @e[tag=tree_tender_v0] tree_tender_v0_complete
execute @s[scores={tree=6}] ~ ~ ~ dialogue change @e[tag=tree_tender_v1] tree_tender_v1_complete
execute @s[scores={tree=6}] ~ ~ ~ dialogue change @e[tag=tree_tender_i0] tree_tender_i0_complete
execute @s[scores={tree=6}] ~ ~ ~ dialogue change @e[tag=tree_tender_i1] tree_tender_i1_complete